Bug 75888 - Vi-mode repeat last command (the '.' command) doesn't work
Summary: Vi-mode repeat last command (the '.' command) doesn't work
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL: ftp://ftp.gnu.org/pub/gnu/bash/bash-2...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-14 16:30 UTC by Paul Iadonisi
Modified: 2007-04-18 16:47 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2002-10-16 14:33:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:140 normal SHIPPED_LIVE Updated bash packages fix several bugs 2003-06-23 04:00:00 UTC

Description Paul Iadonisi 2002-10-14 16:30:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
The dot command no longer works in bash-2.05b.  When editing a command in the
bash history, use of the dot command puts the readline library in  a strange
state where many vi bindings don't work as expected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run the bash shell
2.Place the shell in vi-mode editing with the 'set -o vi' command
3.Type several commands to add to the history
4.Type <ESC>k and then use k to scroll back some commands
5.Use the insert command ('i') to insert some text into a previous command
6.Type <ESC>
7.Use 'l' to move forward within the command
8.Type '.' to repeat the previous insert
	

Actual Results:  A terminal beep is heard and then various commands such as
change-word (cw) no longer work

Expected Results:  Previous editing command should work

Additional info:

This bug has been patched by the GNU project.  Patch is a available at:
ftp://ftp.gnu.org/pub/gnu/bash/bash-2.05b-patches/bash205b-002

Comment 1 Tim Waugh 2002-10-17 09:36:23 UTC
Patch applied in bash-2.05b-6.

Comment 2 Tim Waugh 2003-06-23 14:52:20 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-140.html



Note You need to log in before you can comment on or make changes to this bug.